# Some instance variables
locals {
  asg_name      = "${var.prefix}-splunk-asg"
  launch_config_name = "${var.prefix}-splunk-lc"
  is_moose = length(regexall("moose", var.prefix)) > 0 ? true : false
}

# Rather than pass in the aws security group, we just look it up. This will
# probably be useful other places, as well.
data "aws_security_group" "typical-host" {
  name   = "typical-host"
  vpc_id = var.vpc_id
}

# Use the default EBS key
data "aws_kms_key" "ebs-key" {
  key_id = "alias/ebs_root_encrypt_decrypt"
}
